@import url(https://fonts.googleapis.com/css?family=Inter:100,200,300,regular,500,600,700,800,900,100italic,200italic,300italic,italic,500italic,600italic,700italic,800italic,900italic&display=swap);

*{
    padding: 0px;
    margin: 0px;
}

body{
    background: linear-gradient(45deg, orange, red);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100%;
}

.todo{
    width: 300px;
    height: 340px;
    border: none;
    border-radius: 20px;
    box-shadow: 0 0px 20px rgb(0,0,0);
    background: linear-gradient(135deg, white, gray);
    display: flex;
    justify-content: start;
    align-items: center;
    flex-direction: column;
    padding: 10px;
    overflow-y: auto;
    overflow-x: hidden;
}

.mainText{
    font-size: 25px;
    color: rgb(39, 39, 39);
    font-family: 'Inter';
    font: 900;
    text-align: center;
    margin: 20px;
}

input{
    border: none;
    width: 90%;
    height: 30px;
    padding: 10px;
    border-radius: 50px;
    margin: 10px;
    font-size: 15px;
    font-family: 'Inter';
    font: 100;
}

.ulList{
    list-style: none;
    height: 35vh;
    width: 95%;
    margin: 0px;
    overflow-y: auto;
    overflow-x: hidden;
}

.liElement{
    height: 40px;
    width: 93%;
    background-color: #fff;
    border: none;
    border-radius: 20px;
    margin: 10px 0px;
    padding: 10px;
    font-family: 'Inter';
    font-size: 15px;
    overflow-y: hidden;
    overflow-x: auto;
    display: flex;
    justify-content: space-between;

}

.litext{
    width: 190px;
    height: 20px;
    margin: 10px 0px;
    overflow-y: auto;
}

.btns{
    width: 25%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.done{
    background-color: green;
    border: none;
    border-radius: 50px;
    font-size: 10px;
    border-radius: 10px;
    width: 25px;
    height: 25px;
}

.del{
    background-color: red;
    border: none;
    border-radius: 50px;
    font-size: 10px;
    border-radius: 10px;
    width: 25px;
    height: 25px;
}

.addTask{
    width: 40px;
    height: 40px;
    border-radius: 50px;
    border: none;
    background-color: rgb(0, 198, 0);
    color: white;
    font-size: 30px;
    margin: 5px;
}

input:hover{
    box-shadow: 0 0px 20px rgb(0,0,0);
}